blood = {}

blood.__index = blood

function blood.new(x,y,d)
  
  local self = {}
  
  self.x = x
  self.y = y
  self.d = d
  self.vel = 50
  self.delete = false
  self.life = 255
  
  return setmetatable(self,blood)
  
end


function blood.update(self,dt)
  
  
  self.x = self.x + self.vel * math.cos(self.d) * dt
  self.y = self.y + self.vel * math.sin(self.d) * dt
  

  if(self.life > 0) then
    self.life  = self.life - 170 * dt
  else
    self.delete = true
  end
end

function blood.draw(self)
  love.graphics.setColor(175,0,0,self.life)
  love.graphics.circle("fill",self.x,self.y,3,8)
  love.graphics.setColor(255,255,255,255)
end