
hit = {}

hit.__index = hit

function hit.new(x,y,e,d)
  
  local self = {}
  
  self.x = x
  self.y = y
  self.timer = 0
  self.e = e or false
  self.delete = false
  self.d = d
  
  return setmetatable(self,hit)
  
end

function hit.update(self,dt)
  self.timer = self.timer + dt
  if(self.timer >= 0.5) then
    self.delete = true
  end
  
  if(self.e) then
    for _,v in ipairs(enemy) do
      if(v.hitbox.x + v.hitbox.w > self.x and v.hitbox.x < self.x + 20 and v.hitbox.y + v.hitbox.h > self.y and v.hitbox.y < self.y + 20) then
        v.stats[1] = v.stats[1] - (2*(self.d)) * (1+(player.stats[3]/100))
        stab:stop()
        stab:play()
        for i = 1,5 do blood[#blood + 1] = blood.new(v.x,v.y,math.random(-6.28,6.28)) end
        
        v.x = v.x + 20 * math.cos(player.angle)
        v.y = v.y + 20 * math.sin(player.angle)
        
        self.delete = true
        
      end
    end
  else
    if(player.hitbox.x + player.hitbox.w > self.x and player.hitbox.x < self.x + 20 and player.hitbox.y + player.hitbox.h > self.y and player.hitbox.y < self.y + 20) then
      player.stats[1] = player.stats[1] - 30 / (player.stats[4]/100)
      stab:stop()
      stab:play()
      for i = 1,5 do blood[#blood + 1] = blood.new(player.x,player.y,math.random(-6.28,6.28)) end
      player.shake = true
      self.delete = true
    end
  end
  
end

function hit.draw(self)
  love.graphics.setColor(255,0,0)
  love.graphics.rectangle("fill",self.x,self.y,20,20)
  love.graphics.setColor(255,255,255)
end
