
progressbar = {}

progressbar.__index = progressbar

function progressbar.new(x,y,value,w,h,c,i,maxi)
  local self = {}
  self.x = x
  self.y = y
  self.w = w
  self.h = h
  self.own = value
  self.c = c
  self.i = i
  self.maxi = maxi
  self.value = self.own.stats[i]
  
  return setmetatable(self,progressbar)
end

function progressbar.draw(self)
  love.graphics.setColor(0,0,0,150)
  love.graphics.rectangle("line",self.x,self.y,self.w,self.h)
  love.graphics.setColor(self.c[1],self.c[2],self.c[3],255)
  love.graphics.rectangle("fill",self.x,self.y,(self.value)*(self.w/self.own.stats[self.maxi]),self.h)
  love.graphics.setColor(255,255,255,255)
end

function progressbar.update(self,dt)
  if(self.value > self.own.stats[self.maxi]) then
    self.value = self.own.stats[self.maxi]
    self.own.stats[self.i] = self.own.stats[self.maxi]
  elseif(self.value < 0) then
    self.value = 0
    self.own.stats[self.i] = 0
  else
    self.value = self.own.stats[self.i]
  end
end