
swoosh = {}

swoosh.__index = swoosh

function swoosh.new(x,y,a)
  
  local self = {}
  
  self.x = x
  self.y = y
  self.delete = false
  self.timer = 0
  self.a = a
  self.r = 150
  
  return setmetatable(self,swoosh)
  
end

function swoosh.update(self,dt)
  self.timer = self.timer + dt
  self.r = self.r - 250 * dt
  
  if(self.timer >= 1) then
    self.delete = true
  end
end

function swoosh.draw(self)
  love.graphics.setColor(255,255,255,self.r)
  love.graphics.draw(swooshi,self.x,self.y,self.a,1,1,37.5,10)
  love.graphics.setColor(255,255,255,255)
end